org.encog.mathutil.dimension

## Class DimensionConstraint

- java.lang.Object
- - org.encog.mathutil.dimension.DimensionConstraint

-     public class DimensionConstraint
      extends Object

  Specifies a constraint for dimensions, using a lower and upper bound.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionConstraint(int n, int theLower, int theUpper)` Construct the constraint.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDimension` | `getLower()`
    `int` | `getLower(int d)` Get the lower bound for a specific dimension.
    `int` | `getMiddle(int d)`
    `int` | `getRange(int d)` Get the range (between upper and lower bound) for the specified dimension.
    `MultiDimension` | `getUpper()`
    `int` | `getUpper(int d)` Get the upper bound for a specific dimension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionConstraint

          public DimensionConstraint(int n,
                             int theLower,
                             int theUpper)

      Construct the constraint.
      Parameters:
        `n` - The number of dimensions.
        `theLower` -
        `theUpper` -

  - ### Method Detail

    - #### getLower

          public MultiDimension getLower()

      Returns:
        The lower bound for each dimension.

    - #### getUpper

          public MultiDimension getUpper()

      Returns:
        The upper bound for each dimension.

    - #### getLower

          public int getLower(int d)

      Get the lower bound for a specific dimension.
      Parameters:
        `d` - The dimension.
      Returns:
        The lower bound for the specified dimension.

    - #### getUpper

          public int getUpper(int d)

      Get the upper bound for a specific dimension.
      Parameters:
        `d` - The dimension.
      Returns:
        The upper bound for the specified dimension.

    - #### getRange

          public int getRange(int d)

      Get the range (between upper and lower bound) for the specified dimension.
      Parameters:
        `d` - The dimension.
      Returns:
        The range for the specified dimension.

    - #### getMiddle

          public int getMiddle(int d)

Copyright © 2014. All Rights Reserved.